complexType "ExchangeTradedContract"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 12 elements
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | instrumentId*, description?, currency?, exchangeId?, clearanceSystem?, definition?, relatedExchangeId*, optionsExchangeId*, specifiedExchangeId*, multiplier?, contractReference?, expirationDate?
</...>

Content Model Elements (12):

  clearanceSystem (defined in UnderlyingAsset complexType),
  contractReference,
  currency (defined in UnderlyingAsset complexType),
  definition (defined in UnderlyingAsset complexType),
  description (defined in IdentifiedAsset complexType),
  exchangeId (defined in UnderlyingAsset complexType),
  expirationDate (defined in ExchangeTradedContract complexType),
  instrumentId (defined in IdentifiedAsset complexType),
  multiplier (defined in ExchangeTradedContract complexType),
  optionsExchangeId,
  relatedExchangeId,
  specifiedExchangeId

Known Direct Subtypes (1):

  ExchangeTradedOption

All Direct / Indirect Based Elements (3):

  exchangeTradedContractNearest (in rateOfReturn), exchangeTradedContractNearest (in variance), | option

Known Usage Locations

- In derivations of other global types (1):
  ExchangeTradedOption (as extension base)
- As direct type of elements (2):

  exchangeTradedContractNearest (in rateOfReturn), | exchangeTradedContractNearest (in variance)

Annotation
An exchange traded derivative contract.
Type Definition Detail

Type Derivation Tree Asset (extension) IdentifiedAsset (extension) UnderlyingAsset (extension) ExchangeTraded (extension) ExchangeTradedContract

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="ExchangeTradedContract"> <xsd:complexContent> <xsd:extension base="ExchangeTraded"> <xsd:sequence> <xsd:element minOccurs="0" name="multiplier" type="xsd:positiveInteger"/> <xsd:element minOccurs="0" name="contractReference" type="xsd:string"/> <xsd:element minOccurs="0" name="expirationDate" type="AdjustableOrRelativeDate"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/12)
contractReference

  Type: | xsd:string, predefined, simple content

  Specifies the contract that can be referenced, besides the undelyer type.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="contractReference" type="xsd:string"/>

expirationDate

  Type: | AdjustableOrRelativeDate, complex content

  The date when the contract expires.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expirationDate" type="AdjustableOrRelativeDate"/>

multiplier

  Type: | xsd:positiveInteger, predefined, simple content

  Specifies the contract multiplier that can be associated with the number of units.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="multiplier" type="xsd:positiveInteger"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.